## org.apache.poi.openxml4j.exceptions
Class PartAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.openxml4j.exceptions.OpenXML4JRuntimeException
                      org.apache.poi.openxml4j.exceptions.InvalidOperationException
                          org.apache.poi.openxml4j.exceptions.PartAlreadyExistsException

All Implemented Interfaces:
  java.io.Serializable

    public final class PartAlreadyExistsException

extends InvalidOperationException

Throw when trying to create a `PackagePart` but one already exists with that name.

See Also:
  Serialized Form

Constructor Summary
`PartAlreadyExistsException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartAlreadyExistsException

    public PartAlreadyExistsException(java.lang.String message)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.